import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:xinhuamm_xycloud/xinhuamm_xycloud_method_channel.dart';

void main() {
  TestWidgetsFlutterBinding.ensureInitialized();

  MethodChannelXinhuammXycloud platform = MethodChannelXinhuammXycloud();
  const MethodChannel channel = MethodChannel('xinhuamm_xycloud');

  setUp(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger.setMockMethodCallHandler(
      channel,
      (MethodCall methodCall) async {
        return '42';
      },
    );
  });

  tearDown(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger.setMockMethodCallHandler(channel, null);
  });

  test('getPlatformVersion', () async {

  });
}
